Subject: Re: bug#5547: 23.1.92; nnimap not using .authinfo.gpg

From: Leo <[email-masked]>
Date: Wed, 10 Feb 2010 22:15:35 +0000

On 2010-02-10 18:40 +0000, Ted Zlatanov wrote:
> It may be a bug but I'm not sure where it's coming from.  It may be that
> nnimap-open-connection is not prioritizing auth-source over
> nnimap-authinfo-file.  Can you make sure nnimap-authinfo-file is nil?
> Does it still fail in that case?  Finally, check

Setting nnimap-authinfo-file to nil fails in the same way as the default
value which points to ~/.authinfo.

> (auth-source-pick "any server" "any port")

This returns the value as in auth-sources.

> What does it return?  The log messages are impying auth-source is
> checking ~/.authinfo.
>
> If none of this helps, look in nnimap-open-connection and trace the
> sequence of events, it's pretty clear how it happens.
>
>>> - try with port "imaps" and without a port
>
> L> Where to set the port?
>
> In the authinfo file, where it's '993' currently:
>
> machine imap.gmail.com login [email-masked] password secret port 993
>
> ...but that's not the problem, I think.  Try setting
> auth-source-hide-passwords to nil anyhow and redo the attempt to ensure
> your password is correct.

The only success I have is to set nnimap-authinfo-file to ~/.authinfo.gpg.
Otherwise nothing is read.

> Ted

Sorry I could not look into the problem further at the moment due to
other work. But I will come back to this maybe in May if it hasn't been
fixed. I have kept a note about this.

Thanks.

Leo